#!/bin/bash
if [ $PWD != /home/stack ] ; then echo "USAGE: $0 this script needs to be executed in /home/stack"; exit 1 ; fi

# deploy.sh <control_scale compute_scale ceph_scale>
control_scale=1
compute_scale=1
ceph_scale=3
if [ $# -eq 3 ]; then
control_scale="$1"
compute_scale="$2"
ceph_scale="$3"
fi
echo "control_scale=$control_scale, compute_scale=$compute_scale, ceph_scale=$ceph_scale"


DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
template_base_dir="$DIR"

ntpserver=10.5.26.10  #RH LAB

openstack overcloud deploy --templates \
-e /usr/share/openstack-tripleo-heat-templates/environments/network-isolation.yaml \
-e ${template_base_dir}/network-environment.yaml \
-e ${template_base_dir}/storage-environment.yaml \
--control-flavor control --compute-flavor compute --ceph-storage-flavor ceph-storage \
--control-scale $control_scale --compute-scale $compute_scale --ceph-storage-scale $ceph_scale \
--ntp-server $ntpserver \
--neutron-network-type vxlan --neutron-tunnel-types vxlan

#openstack overcloud deploy --templates \
#-e /usr/share/openstack-tripleo-heat-templates/environments/network-isolation.yaml \
#-e ${template_base_dir}/network-environment.yaml \
#-e ${template_base_dir}/storage-environment.yaml \
#--control-flavor control --compute-flavor compute --ceph-storage-flavor ceph-storage \
#--control-scale control_scale --compute-scale compute_scale --ceph-storage-scale ceph_scale \
#--ntp-server $ntpserver \
#--neutron-network-type vxlan --neutron-tunnel-types vxlan

